c
c
c     ###################################################
c     ##  COPYRIGHT (C)  1990  by  Jay William Ponder  ##
c     ##              All Rights Reserved              ##
c     ###################################################
c
c     #############################################################
c     ##                                                         ##
c     ##  subroutine getprm  --  get force field parameter file  ##
c     ##                                                         ##
c     #############################################################
c
c
c     "getprm" finds the potential energy parameter file
c     and then opens and reads the parameters
c
c
      subroutine getprm
      use mcinter
      implicit none
c
      include 'extra.h'
c
      include 'sizes.i'
      include 'files.i'
      include 'iounit.i'
      include 'keys.i'
      integer i,iprm,next
      character*20 keyword
      character*60 prmfile
      logical exist
c
c     set the name for the parameter file
c
c      prmfile = 'param.prm'
      prmfile = mcprm
c
c     open the parameter file, then read and close it
c
      iprm = 79
      if(master) then
         open (unit=iprm,file=prmfile,status='old')
         rewind (unit=iprm)
      end if
      call readprm (iprm)
      if(master) close (unit=iprm)
      return
      end
